# TaxSessionsPublicController_FileReturn

Marks the return as filed for the specified tax session.

`PUT /api/v1/TaxSessions/FileReturn`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_FileReturn/

## Description

Files the tax return for the specified tax session. Filing is only permitted on the highest
sequence. The tax session must not have critical errors, must not be locked, and must meet
statute of limitations requirements. A filed tax session cannot be regenerated or have its
manual fields updated until it is unfiled.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the specified tax session. |
| `filedDate` | string | query | Yes | The date to record as the filing date. |
| `sequence` | integer | query | No | The sequence to file. If omitted, the highest sequence is used. Filing is only permitted on the highest sequence. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | The tax return was filed successfully. |  |
| 400 | The HeaderId/Sequence is invalid, filing is not permitted, or statute of limitations exceeded. |  |
| 401 | Authentication credentials are incorrect. |  |

## Example Request

```bash
curl -X PUT "https://excise.avalara.com/api/v1/TaxSessions/FileReturn" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```